IsEmptyCollection (Hamcrest)
Date: 2012-07-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest.collection
Class IsEmptyCollection<E>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.TypeSafeMatcher<java.util.Collection<? extends E>>
              org.hamcrest.collection.IsEmptyCollection<E>

All Implemented Interfaces:
  Matcher<java.util.Collection<? extends E>>, SelfDescribing

    public class IsEmptyCollection<E>

extends TypeSafeMatcher<java.util.Collection<? extends E>>

Tests if collection is empty.

Constructor Summary
`IsEmptyCollection()`

Method Summary
`void` | `describeMismatchSafely(java.util.Collection<? extends E> item, Description mismatchDescription)` Subclasses should override this.
`void` | `describeTo(Description description)` Generates a description of the object.
`static
`<E> Matcher<java.util.Collection<? extends E>>`
` | `empty()` Creates a matcher for `Collection`s matching examined collections whose `isEmpty` method returns `true`.
`static
`<E> Matcher<java.util.Collection<E>>`
` | `emptyCollectionOf(java.lang.Class<E> type)` Creates a matcher for `Collection`s matching examined collections whose `isEmpty` method returns `true`.
`boolean` | `matchesSafely(java.util.Collection<? extends E> item)` Subclasses should implement this.

Methods inherited from class org.hamcrest.TypeSafeMatcher
`describeMismatch, matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IsEmptyCollection

    public IsEmptyCollection()

Method Detail

### matchesSafely

    public boolean matchesSafely(java.util.Collection<? extends E> item)

  Description copied from class: `TypeSafeMatcher`
  Subclasses should implement this. The item will already have been checked for the specific type and will never be null.

  Specified by:
    `matchesSafely` in class `TypeSafeMatcher<java.util.Collection<? extends E>>`

### describeMismatchSafely

    public void describeMismatchSafely(java.util.Collection<? extends E> item,
                                       Description mismatchDescription)

  Description copied from class: `TypeSafeMatcher`
  Subclasses should override this. The item will already have been checked for the specific type and will never be null.

  Overrides:
    `describeMismatchSafely` in class `TypeSafeMatcher<java.util.Collection<? extends E>>`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### empty

    public static <E> Matcher<java.util.Collection<? extends E>> empty()

  Creates a matcher for `Collection`s matching examined collections whose `isEmpty` method returns `true`.

  For example:

      assertThat(new ArrayList<String>(), is(empty()))

### emptyCollectionOf

    public static <E> Matcher<java.util.Collection<E>> emptyCollectionOf(java.lang.Class<E> type)

  Creates a matcher for `Collection`s matching examined collections whose `isEmpty` method returns `true`.

  For example:

      assertThat(new ArrayList<String>(), is(emptyCollectionOf(String.class)))

  Parameters:
    `type` - the type of the collection's content

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD